<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): tiglImplementationMessage.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e1c3629206a62d7880de84e139cd6012.html">src</a></li><li class="navelem"><a class="el" href="dir_5923310312939235796ca11289acda83.html">common</a></li><li class="navelem"><a class="el" href="dir_3bddf74631e93c4b493dedcb5ed12a12.html">implementation</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tiglImplementationMessage.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="tiglImplementationMessage_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef TIGLIMPLEMENTATIONMESSAGE_HPP_</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define TIGLIMPLEMENTATIONMESSAGE_HPP_</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * modification, are permitted provided that the following conditions</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * are met:</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *    Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *    Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *    notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *    documentation and/or other materials provided with the</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> *    distribution.</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> *    Neither the name of Texas Instruments Incorporated nor the names of</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> *    its contributors may be used to endorse or promote products derived</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> *    from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment"> * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment"> * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment"> * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment"> * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment"> * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"> * INCLUDES</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="tiglApiMessage_8hpp.html">tiglApiMessage.hpp</a>&quot;</span></div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a1bcf230cbd34f3ea11b0a19e6e8c46bb">   54</a></span>&#160;<a class="code" href="classTIGLApiMessage.html#a1bcf230cbd34f3ea11b0a19e6e8c46bb">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::TIGLApiMessage</a>()</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;{</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;}</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00067"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a2326c4d03d9ebc5ca0b0d5d2bcc907d9">   67</a></span>&#160;<a class="code" href="classTIGLApiMessage.html#a1bcf230cbd34f3ea11b0a19e6e8c46bb">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::TIGLApiMessage</a>(ID_TYPE &amp; tx, ID_TYPE &amp; rx, DATA_TYPE &amp; messContent)</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;{</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;   setMessage(tx, rx, messContent);</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;}</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a371c566746c5bbfa8e8d23e8f9c0f8a8">   78</a></span>&#160;<a class="code" href="classTIGLApiMessage.html#a371c566746c5bbfa8e8d23e8f9c0f8a8">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::~TIGLApiMessage</a>()</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;{</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;}</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00088"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#aa9369fd796d383a32d5da1dfdbf03029">   88</a></span>&#160;<span class="keyword">inline</span> ID_TYPE &amp; <a class="code" href="classTIGLApiMessage.html#aa9369fd796d383a32d5da1dfdbf03029">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::getSender</a>()</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;{</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;   <span class="keywordflow">return</span> sender;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;}</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#ae7b2bcd6adc37bfa481140578e0ea62e">   99</a></span>&#160;<span class="keyword">inline</span> ID_TYPE &amp; <a class="code" href="classTIGLApiMessage.html#ae7b2bcd6adc37bfa481140578e0ea62e">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::getRcvr</a>()</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;{</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;   <span class="keywordflow">return</span> rcvr;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;}</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a5b0a1ee1c93f1aa3cc549d5302ce96f8">  110</a></span>&#160;<span class="keyword">inline</span> DATA_TYPE &amp; <a class="code" href="classTIGLApiMessage.html#a5b0a1ee1c93f1aa3cc549d5302ce96f8">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::getContent</a>()</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;{</div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;   <span class="keywordflow">return</span> content;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;}</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a1035677b3c041d84722ebcee934494c8">  124</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLApiMessage.html#a1035677b3c041d84722ebcee934494c8">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::setMessage</a>(ID_TYPE &amp; tx, ID_TYPE &amp; rx, DATA_TYPE &amp; messContent)</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;{</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;   sender = tx;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;   rcvr = rx;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;   content = messContent;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;}</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> CMessages&gt;</div>
<div class="line"><a name="l00139"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a759de6881a25aa38cbf86061b822303d">  139</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLApiMessage.html#a1035677b3c041d84722ebcee934494c8">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::setMessage</a>(CMessages &amp; newMessage)</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;{</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;   content = newMessage.getContent();</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;   rcvr = newMessage.getRcvr();</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;   sender = newMessage.getSender();</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;}</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00153"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a2f9439bfa1e4d00c52b57262c86cfe5c">  153</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLApiMessage.html#a2f9439bfa1e4d00c52b57262c86cfe5c">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::setContent</a>(DATA_TYPE &amp; newContent)</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;{</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;   content = newContent;</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;}</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;</div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00165"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#af73d429f62ed6755919596dfe5327bf0">  165</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLApiMessage.html#af73d429f62ed6755919596dfe5327bf0">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::sumContent</a>(DATA_TYPE &amp; newContent)</div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;{</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;   content += newContent;</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;}</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> CMessages&gt;</div>
<div class="line"><a name="l00178"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a521939564e210bb83a38bc6e27c1ab4c">  178</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLApiMessage.html#a521939564e210bb83a38bc6e27c1ab4c">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::maxContent</a>(CMessages &amp; newMessage)</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;{</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;   DATA_TYPE newContent = newMessage.getContent();</div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;   <span class="keywordflow">if</span> (newContent &gt; content)</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;   {</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;      content = newContent;</div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;      sender = newMessage.getSender();</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;   }</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;}</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> CMessages&gt;</div>
<div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#aca36b71d7530df34480482b909c5bd95">  196</a></span>&#160;<span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classTIGLApiMessage.html#aca36b71d7530df34480482b909c5bd95">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::minContent</a>(CMessages &amp; newMessage)</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;{</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;   DATA_TYPE newContent = newMessage.getContent();</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;   <span class="keywordflow">if</span> (newContent &lt; content)</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;   {</div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;      content = newContent;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;      sender = newMessage.getSender();</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;   }</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;}</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00215"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a1f179078ae75d7fc8523a99584c960ab">  215</a></span>&#160;<span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLApiMessage.html#a1f179078ae75d7fc8523a99584c960ab">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::pack</a>(uint8_t *buf)</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;{</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;<span class="comment">//      *(buf++) = 0; // data message flag</span></div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;   memcpy(buf, &amp;rcvr, <span class="keyword">sizeof</span>(ID_TYPE));</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;   buf += <span class="keyword">sizeof</span>(ID_TYPE);</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;   memcpy(buf, &amp;sender, <span class="keyword">sizeof</span>(ID_TYPE));</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;   buf += <span class="keyword">sizeof</span>(ID_TYPE);</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;   memcpy(buf, &amp;content, <span class="keyword">sizeof</span>(DATA_TYPE));</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;   <span class="keywordflow">return</span> 2 * <span class="keyword">sizeof</span>(ID_TYPE) + <span class="keyword">sizeof</span>(DATA_TYPE);</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;}</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00234"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#af7c907cb28b7976f0dc8e1039a789b9b">  234</a></span>&#160;<span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLApiMessage.html#af7c907cb28b7976f0dc8e1039a789b9b">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::unpack</a>(uint8_t *buf)</div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;{</div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;   memcpy(&amp;rcvr, buf, <span class="keyword">sizeof</span>(ID_TYPE));</div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;   buf += <span class="keyword">sizeof</span>(ID_TYPE);</div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;   memcpy(&amp;sender, buf, <span class="keyword">sizeof</span>(ID_TYPE));</div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;   buf += <span class="keyword">sizeof</span>(ID_TYPE);</div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;   memcpy(&amp;content, buf, <span class="keyword">sizeof</span>(DATA_TYPE));</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;   <span class="keywordflow">return</span> 2 * <span class="keyword">sizeof</span>(ID_TYPE) + <span class="keyword">sizeof</span>(DATA_TYPE);</div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;}</div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;<span class="comment">/*****************************************************************************/</span></div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;<span class="keyword">template</span>&lt;<span class="keyword">typename</span> DATA_TYPE, <span class="keyword">typename</span> ID_TYPE&gt;</div>
<div class="line"><a name="l00250"></a><span class="lineno"><a class="line" href="classTIGLApiMessage.html#a67ac68852a43eb8503f43c497ac8f6cd">  250</a></span>&#160;<span class="keyword">inline</span> uint_fast32_t <a class="code" href="classTIGLApiMessage.html#a67ac68852a43eb8503f43c497ac8f6cd">TIGLApiMessage&lt;DATA_TYPE, ID_TYPE&gt;::sizeInBytes</a>()</div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;{</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;   <span class="keywordflow">return</span> 2 * <span class="keyword">sizeof</span>(ID_TYPE) + <span class="keyword">sizeof</span>(DATA_TYPE);</div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;}</div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;</div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;<span class="comment">/******************************************************************************</span></div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;<span class="comment"> * GLOBAL DEFINITIONS</span></div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;<span class="comment"> *</span></div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;<span class="comment"> ******************************************************************************/</span></div>
<div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;<span class="keyword">typedef</span> <a class="code" href="classTIGLApiMessage.html">TIGLApiMessage&lt;double, uint_fast32_t&gt;</a> <a class="code" href="classTIGLApiMessage.html">DblMessage</a>;</div>
<div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* TIGLIMPLEMENTATIONMESSAGE_HPP_ */</span><span class="preprocessor"></span></div>
<div class="ttc" id="classTIGLApiMessage_html_a1035677b3c041d84722ebcee934494c8"><div class="ttname"><a href="classTIGLApiMessage.html#a1035677b3c041d84722ebcee934494c8">TIGLApiMessage::setMessage</a></div><div class="ttdeci">void setMessage(ID_TYPE &amp;tx, ID_TYPE &amp;rx, DATA_TYPE &amp;messContent)</div><div class="ttdoc">Prepares the full message fields. </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:124</div></div>
<div class="ttc" id="classTIGLApiMessage_html_af7c907cb28b7976f0dc8e1039a789b9b"><div class="ttname"><a href="classTIGLApiMessage.html#af7c907cb28b7976f0dc8e1039a789b9b">TIGLApiMessage::unpack</a></div><div class="ttdeci">uint_fast32_t unpack(uint8_t *buf)</div><div class="ttdoc">Unpacks a packed message to get the message. </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:234</div></div>
<div class="ttc" id="classTIGLApiMessage_html_ae7b2bcd6adc37bfa481140578e0ea62e"><div class="ttname"><a href="classTIGLApiMessage.html#ae7b2bcd6adc37bfa481140578e0ea62e">TIGLApiMessage::getRcvr</a></div><div class="ttdeci">ID_TYPE &amp; getRcvr()</div><div class="ttdoc">Returns the destination vertex. </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:99</div></div>
<div class="ttc" id="classTIGLApiMessage_html_a67ac68852a43eb8503f43c497ac8f6cd"><div class="ttname"><a href="classTIGLApiMessage.html#a67ac68852a43eb8503f43c497ac8f6cd">TIGLApiMessage::sizeInBytes</a></div><div class="ttdeci">uint_fast32_t sizeInBytes()</div><div class="ttdoc">returns message size in bytes </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:250</div></div>
<div class="ttc" id="classTIGLApiMessage_html_a5b0a1ee1c93f1aa3cc549d5302ce96f8"><div class="ttname"><a href="classTIGLApiMessage.html#a5b0a1ee1c93f1aa3cc549d5302ce96f8">TIGLApiMessage::getContent</a></div><div class="ttdeci">DATA_TYPE &amp; getContent()</div><div class="ttdoc">returns the message content </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:110</div></div>
<div class="ttc" id="classTIGLApiMessage_html_a521939564e210bb83a38bc6e27c1ab4c"><div class="ttname"><a href="classTIGLApiMessage.html#a521939564e210bb83a38bc6e27c1ab4c">TIGLApiMessage::maxContent</a></div><div class="ttdeci">void maxContent(CMessages &amp;newMessage)</div><div class="ttdoc">Copies a new message content if its value is bigger than the current message content. </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:178</div></div>
<div class="ttc" id="classTIGLApiMessage_html_af73d429f62ed6755919596dfe5327bf0"><div class="ttname"><a href="classTIGLApiMessage.html#af73d429f62ed6755919596dfe5327bf0">TIGLApiMessage::sumContent</a></div><div class="ttdeci">void sumContent(DATA_TYPE &amp;newContent)</div><div class="ttdoc">Sums new content to the current message content. </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:165</div></div>
<div class="ttc" id="classTIGLApiMessage_html_a371c566746c5bbfa8e8d23e8f9c0f8a8"><div class="ttname"><a href="classTIGLApiMessage.html#a371c566746c5bbfa8e8d23e8f9c0f8a8">TIGLApiMessage::~TIGLApiMessage</a></div><div class="ttdeci">~TIGLApiMessage()</div><div class="ttdoc">Destructor. </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:78</div></div>
<div class="ttc" id="classTIGLApiMessage_html_a1bcf230cbd34f3ea11b0a19e6e8c46bb"><div class="ttname"><a href="classTIGLApiMessage.html#a1bcf230cbd34f3ea11b0a19e6e8c46bb">TIGLApiMessage::TIGLApiMessage</a></div><div class="ttdeci">TIGLApiMessage()</div><div class="ttdoc">Empty constructor. </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:54</div></div>
<div class="ttc" id="classTIGLApiMessage_html"><div class="ttname"><a href="classTIGLApiMessage.html">TIGLApiMessage</a></div><div class="ttdoc">Core data message class definition. </div><div class="ttdef"><b>Definition:</b> tiglApiMessage.hpp:66</div></div>
<div class="ttc" id="classTIGLApiMessage_html_a2f9439bfa1e4d00c52b57262c86cfe5c"><div class="ttname"><a href="classTIGLApiMessage.html#a2f9439bfa1e4d00c52b57262c86cfe5c">TIGLApiMessage::setContent</a></div><div class="ttdeci">void setContent(DATA_TYPE &amp;newContent)</div><div class="ttdoc">set the message content </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:153</div></div>
<div class="ttc" id="classTIGLApiMessage_html_aa9369fd796d383a32d5da1dfdbf03029"><div class="ttname"><a href="classTIGLApiMessage.html#aa9369fd796d383a32d5da1dfdbf03029">TIGLApiMessage::getSender</a></div><div class="ttdeci">ID_TYPE &amp; getSender()</div><div class="ttdoc">Returns the sender vertex. </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:88</div></div>
<div class="ttc" id="classTIGLApiMessage_html_aca36b71d7530df34480482b909c5bd95"><div class="ttname"><a href="classTIGLApiMessage.html#aca36b71d7530df34480482b909c5bd95">TIGLApiMessage::minContent</a></div><div class="ttdeci">void minContent(CMessages &amp;newMessage)</div><div class="ttdoc">copy a new message content if its value is smaller than the current message content ...</div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:196</div></div>
<div class="ttc" id="classTIGLApiMessage_html_a1f179078ae75d7fc8523a99584c960ab"><div class="ttname"><a href="classTIGLApiMessage.html#a1f179078ae75d7fc8523a99584c960ab">TIGLApiMessage::pack</a></div><div class="ttdeci">uint_fast32_t pack(uint8_t *buf)</div><div class="ttdoc">Packs the content of the message to a uint8_t buffer. It is organized as : rcvr, sender, content. </div><div class="ttdef"><b>Definition:</b> tiglImplementationMessage.hpp:215</div></div>
<div class="ttc" id="tiglApiMessage_8hpp_html"><div class="ttname"><a href="tiglApiMessage_8hpp.html">tiglApiMessage.hpp</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:52 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
